Bug 994353 - Dist-geo-rep: Worker in one of the master node keeps crashing and the session in that node is always faulty.
Dist-geo-rep: Worker in one of the master node keeps crashing and the session...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Csaba Henk
:
Depends On: 993713
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 02:23 EDT by Venky Shankar
Modified: 2014-07-11 15:17 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 993713
Environment:
Last Closed: 2014-07-11 15:17:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-08-07 02:27:10 EDT
REVIEW: http://review.gluster.org/5509 (gsyncd / geo-rep: fix regular file creation on rename) posted (#1) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 2 Anand Avati 2013-08-07 06:47:41 EDT
REVIEW: http://review.gluster.org/5509 (gsyncd / geo-rep: fix regular file creation on rename) posted (#2) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 3 Anand Avati 2013-08-13 01:54:33 EDT
REVIEW: http://review.gluster.org/5509 (gsyncd / geo-rep: fix regular file creation on rename) posted (#3) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 4 Anand Avati 2013-09-03 06:01:28 EDT
REVIEW: http://review.gluster.org/5509 (gsyncd / geo-rep: fix regular file creation on rename) posted (#4) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 5 Anand Avati 2013-09-04 23:28:53 EDT
COMMIT: http://review.gluster.org/5509 committed in master by Anand Avati (avati@redhat.com) 
------
commit 60431cecae08d2d39a2a3d6735b8544af8266f32
Author: Venky Shankar <vshankar@redhat.com>
Date:   Wed Aug 7 11:53:06 2013 +0530

    gsyncd / geo-rep: fix regular file creation on rename
    
    On creation of a regular file on the slave (this happens
    when an unlink()/rmdir() operation is performed on master
    after a rename() or a link().
    
    This patch fixes the regular file creation on the slave when
    the above mentioned series of operation occurs. entry_ops()
    on the slave for a rename() was missing the stat() information.
    
    Change-Id: Idb80c6b3e27c1797dade1113ac8ce920db9c740c
    BUG: 994353
    Original Author: Venky Shankar <vshankar@redhat.com>
    Signed-off-by: Venky Shankar <vshankar@redhat.com>
    Reviewed-on: http://review.gluster.org/5509
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Avra Sengupta <asengupt@redhat.com>
    Tested-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.